# Uses of Class
org.jfree.chart3d.graphics3d.Dimension3D

Packages that use Dimension3D
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of Dimension3D in org.jfree.chart3d

Methods in org.jfree.chart3d that return Dimension3D
Modifier and Type
Method
Description
`Dimension3D`
Chart3D.`getDimensions()`
Returns the dimensions of the 3D object.

## Uses of Dimension3D in org.jfree.chart3d.graphics3d

Methods in org.jfree.chart3d.graphics3d that return Dimension3D
Modifier and Type
Method
Description
`Dimension3D`
DefaultDrawable3D.`getDimensions()`
Returns the dimensions of the 3D object.
`Dimension3D`
Drawable3D.`getDimensions()`
Returns the aggregate dimensions of the objects in the 3D scene.
Methods in org.jfree.chart3d.graphics3d with parameters of type Dimension3D
Modifier and Type
Method
Description
`float`
ViewPoint3D.`optimalDistance(Dimension2D target, Dimension3D dim3D, double projDist)`
Calculate the distance that would render a box of the given dimensions within a screen area of the specified size.

## Uses of Dimension3D in org.jfree.chart3d.plot

Fields in org.jfree.chart3d.plot declared as Dimension3D
Modifier and Type
Field
Description
`protected Dimension3D`
AbstractPlot3D.`dimensions`
The plot dimensions in 3D space.
Methods in org.jfree.chart3d.plot that return Dimension3D
Modifier and Type
Method
Description
`Dimension3D`
AbstractPlot3D.`getDimensions()`
Returns the dimensions of the box in 3D space into which the plot will be composed.
`Dimension3D`
PiePlot3D.`getDimensions()`
Returns the dimensions for the plot.
`Dimension3D`
Plot3D.`getDimensions()`
Returns the dimensions for the plot in the 3D world in which it will be composed.
Methods in org.jfree.chart3d.plot with parameters of type Dimension3D
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`setDimensions(Dimension3D dimensions)`
Sets the dimensions (in 3D space) for the plot, resets the `autoAdjustDimensions` flag to `false`, and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
XYZPlot.`setDimensions(Dimension3D dim)`
Sets the dimensions for the plot and notifies registered listeners that the plot dimensions have been changed.

## Uses of Dimension3D in org.jfree.chart3d.renderer.category

Methods in org.jfree.chart3d.renderer.category with parameters of type Dimension3D
Modifier and Type
Method
Description
`void`
AreaRenderer3D.`composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.
`protected void`
BarRenderer3D.`composeItem(double value, double barBase, CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Performs the actual work of composing a bar to represent one item in the dataset.
`void`
BarRenderer3D.`composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.
`void`
CategoryRenderer3D.`composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.
`void`
LineRenderer3D.`composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.
`void`
StackedBarRenderer3D.`composeItem(CategoryDataset3D dataset, int series, int row, int column, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.

## Uses of Dimension3D in org.jfree.chart3d.renderer.xyz

Methods in org.jfree.chart3d.renderer.xyz with parameters of type Dimension3D
Modifier and Type
Method
Description
`void`
AbstractXYZRenderer.`composeAll(XYZPlot plot, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Adds objects to the `world` to represent all the data items that this renderer is responsible for.
`void`
SurfaceRenderer.`composeAll(XYZPlot plot, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Composes the entire representation of the function in the supplied `world`.
`void`
XYZRenderer.`composeAll(XYZPlot plot, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Composes all the 3D objects that this renderer needs to present.
`void`
BarXYZRenderer.`composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Adds a single bar representing one item from the dataset.
`void`
LineXYZRenderer.`composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Adds a single line representing one item from the dataset.
`void`
ScatterXYZRenderer.`composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.
`void`
SurfaceRenderer.`composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Throws an `UnsupportedOperationException` because this renderer does not support per-item rendering.
`void`
XYZRenderer.`composeItem(XYZDataset dataset, int series, int item, World world, Dimension3D dimensions, double xOffset, double yOffset, double zOffset)`
Constructs and places one item from the specified dataset into the given world.